package espresso;

import java.util.Comparator;

/**
 * Java: setc.c, ascend
 */
final class Jascend_order implements Comparator<Jset> {

	/** ascend -- comparison for ascending sort on set size */
	@Override
	public final int compare(final Jset a, final Jset b) {
		if( Jespresso.SIZE( a ) > Jespresso.SIZE( b ) ) {
			return 1;
		} else if( Jespresso.SIZE( a ) < Jespresso.SIZE( b ) ) {
			return -1;
		} else {
			int i = Jespresso.LOOP( a );
			do {
				final long x1 = ((long)a.base[ a.offset + i ] & 0xffffffffL);
				final long x2 = ((long)b.base[ b.offset + i ] & 0xffffffffL);
				if( x1 > x2 ) {
					return 1;
				} else if( x1 < x2 ) {
					return -1;
				}
			} while( --i > 0 );
		}
		return 0;
	}
}
