package espresso;

/** PLA_t stores the logical representation of a PLA. PLA_t, *pPLA */
final class JpPLA {
	/** on-set, off-set and dc-set */
	Jset_family F, D, R;

	/** filename */
	String filename;

	/** logical PLA format */
	int pla_type;

	/** phase to split into on-set and off-set */
	int[] phase;

	/** how to pair variables */
	Jpair pair;

	/** labels for the columns */
	String[] label;

	/** allow binary->symbolic mapping */
	Jsymbolic_t symbolic;

	/** allow symbolic output mapping */
	Jsymbolic_t symbolic_output;
}
