package espresso;

/** Define the set family type -- an array of sets. set_family_t, *pset_family, Jpcover */
class Jset_family {

	/** Size of each set in 'ints' */
	int wsize;

	/** User declared set size */
	int sf_size;

	/** Number of sets allocated */
	int capacity;

	/** The number of sets in the family */
	int count;

	/** Number of "active" sets */
	int active_count;

	/** Pointer to the set data */
	int[] data;

	/** For garbage collection */
	Jset_family next;
}
