package espresso;

/** java: Jcvrm so_both_do_exact */
final class Jso_both_do_exact implements Ido_func {

	@SuppressWarnings("boxing")
	@Override
	public boolean fdo(final JpPLA PLA, final int i) {
		/* minimize the single-output function (on-set) */
		String word = String.format( "EXACT-POS(%d)", i );
		Jglobals.skip_make_sparse = true;
		{
			final long t = System.currentTimeMillis();
			PLA.F = Jexact.minimize_exact( PLA.F, PLA.D, PLA.R, true );
			if( Jglobals.summary ) {
				Jcvrmisc.print_trace( PLA.F, word, System.currentTimeMillis() - t );
			}
		}

		/* minimize the single-output function (off-set) */
		word = String.format( "EXACT-NEG(%d)", i );
		Jglobals.skip_make_sparse = true;
		{
			final long t = System.currentTimeMillis();
			PLA.R = Jexact.minimize_exact( PLA.R, PLA.D, PLA.F, true );
			if( Jglobals.summary ) {
				Jcvrmisc.print_trace( PLA.R, word, System.currentTimeMillis() - t );
			}
		}
		return true;
	}

}
