package espresso;

import java.util.Comparator;

/**
 * Java: setc.c, lex_order
 */
final class Jlex_order implements Comparator<Jset> {

	/** lex_order -- comparison for "lexical" ordering of cubes */
	@Override
	public final int compare(final Jset a, final Jset b) {
		int i = Jespresso.LOOP( a );
		do {
			final long x1 = ((long)a.base[ a.offset + i ] & 0xffffffffL);
			final long x2 = ((long)b.base[ b.offset + i ] & 0xffffffffL);
			if( x1 > x2 ) {
				return -1;
			} else if( x1 < x2 ) {
				return 1;
			}
		} while( --i > 0 );
		return 0;
	}
}
