package espresso;

/** A sparse matrix. sm_matrix_struct */
final class Jsm_matrix {
	/** pointer to row headers (by row #) */
	Jsm_row[] rows;

	/** alloc'ed size of above array */
	int rows_size;

	/** pointer to column headers (by col #) */
	Jsm_col[] cols;

	/** alloc'ed size of above array */
	int cols_size;

	/** first row (linked list of all rows) */
	Jsm_row first_row;

	/** last row (linked list of all rows) */
	Jsm_row last_row;

	/** number of rows */
	int nrows;

	/** first column (linked list of columns) */
	Jsm_col first_col;

	/** last column (linked list of columns) */
	Jsm_col last_col;

	/** number of columns */
	int ncols;

	/** user-defined word */
	String user_word;
}
