package espresso;

final class Jsminterf {

	static int[] do_sm_minimum_cover(final Jset_family A) {
		final Jsm_matrix M = Jmatrix.sm_alloc();
		int rownum = 0;
		final int[] data = A.data;// java
		for( int p = 0, last = p + A.count * A.wsize; p < last; p += A.wsize ) {
			for( int i = Jespresso.LOOP( data, p ); i > 0; ) {
				for( int val = data[ p + i ], base = --i << Jespresso.LOGBPI; val != 0; base++, val >>>= 1 ) {
					if( (val & 1) != 0 ) {
						Jmatrix.sm_insert( M, rownum, base );
					}
				}
			}
			rownum++;
		}

		final Jsm_row sparse_cover = Jmincov.sm_minimum_cover( M, null, true, 0 );
		Jmatrix.sm_free( M );

		final int[] cover = Jset.set_new( A.sf_size );

		for( Jsm_element pe = sparse_cover.first_col; pe != null; pe = pe.next_col ) {
			Jespresso.set_insert( cover, pe.col_num );
		}
		Jrows.sm_row_free( sparse_cover );

		return cover;
	}
}