package espresso;

/** stats_struct */
final class Jstats_t {
	/** 1 if debugging is enabled */
	boolean debug;

	/** dump stats for levels up to this level */
	int max_print_depth;

	/** deepest the recursion has gone */
	int max_depth;

	/** total nodes visited */
	int nodes;

	/** currently solving a component */
	int component;

	/** number of components detected */
	int comp_count;

	/** number of times Gimpel reduction applied */
	int gimpel_count;

	/** currently inside Gimpel reduction */
	int gimpel;

	/** cpu time when the covering started */
	long start_time;

	boolean no_branching;
	int lower_bound;
}
